Bug 1967207 - Getting started card: console customization resources link shows other resources
Summary: Getting started card: console customization resources link shows other resources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-02 15:42 UTC by Samuel Padgett
Modified: 2021-07-27 23:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.8.0-0.nightly-2021-06-02-025513 Cluster ID: 42a48920-049e-4386-8a22-dc267b14a7b2 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:89.0) Gecko/20100101 Firefox/89.0
Last Closed: 2021-07-27 23:11:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
guides in Expore new admin features (18.40 KB, image/png)
2021-06-10 08:24 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9121 0 None open Bug 1967207: Update "Getting started resources: Console customization… 2021-06-02 15:53:30 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:11:29 UTC

Description Samuel Padgett 2021-06-02 15:42:03 UTC
Currently the "Getting started resources" card on Home -> Overview has a "Console customizations" link. It uses `/k8s/cluster/customresourcedefinitions?name=console` which includes several resources that are not for console customization.

It would be better to link to `/api-explorer?g=console.openshift.io` which will only show resources in the correct API group. I think this page is better as well since it gives descriptions for each resource.

Comment 2 Yadan Pei 2021-06-09 09:31:29 UTC
fix not included in 4.8.0-0.nightly-2021-06-09-000526 yet, will check when new nightly comes

Comment 3 Yadan Pei 2021-06-10 08:24:02 UTC
Created attachment 1789776 [details]
guides in Expore new admin features

now the guides in 'Explore new admin features' have been updated to: API Explorer and OperatorHub

Verified on 4.8.0-0.nightly-2021-06-09-142759

Comment 6 errata-xmlrpc 2021-07-27 23:11:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.